# Class CIM_LogicalElementUnitOfWorkDef
extends CIM_Dependency

This association links a LogicalElement to the UnitsOfWork that it can perform. For example, a Printer Device may have associated UnitOfWorkDefinitions representing PrintJobs. This is a Dependency relationship since the Definitions are given context by the LogicalElement.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_LogicalElementUnitOfWorkDef

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | This association links a LogicalElement to the UnitsOfWork that it can perform. For example, a Printer Device may have associated UnitOfWorkDefinitions representing PrintJobs. This is a Dependency relationship since the Definitions are given context by the LogicalElement.
UMLPackagePath | string | CIM::Metrics::UnitOfWork
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_LogicalElementUnitOfWorkDef | CIM_LogicalElement
Dependent | CIM_LogicalElementUnitOfWorkDef | CIM_UnitOfWorkDefinition

## Class Methods